GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
gdb.printing._EnumInstance Class Reference

## Public Member Functions
def | __init__ (self, enumerators, val)
def | to_string (self)
def | __init__ (self, enumerators, val)
def | to_string (self)

## Public Attributes
| enumerators
| val

## Detailed Description

Definition at line 225 of file printing.py.

## Constructor & Destructor Documentation

## ◆ __init__() [1/2]

def gdb.printing._EnumInstance.__init__ | ( |  | self,
|  |  | enumerators,
|  |  | val
| ) |  |

Definition at line 226 of file printing.py.

Referenced by gdb.printing._EnumInstance.__init__().

## ◆ __init__() [2/2]

def gdb.printing._EnumInstance.__init__ | ( |  | self,
|  |  | enumerators,
|  |  | val
| ) |  |

Definition at line 226 of file printing.py.

References gdb.printing._EnumInstance.__init__(), gdb.printing._EnumInstance.enumerators, gdb.printer.bound_registers.MpxBound128Printer.val, gdb.FrameDecorator.SymValueWrapper.val, gdb.printing._EnumInstance.val, YYSTYPE.val, and watchpoint.val.

## Member Function Documentation

## ◆ to_string() [1/2]

def gdb.printing._EnumInstance.to_string | ( |  | self | ) |

Definition at line 230 of file printing.py.

References gdb.printing._EnumInstance.enumerators, gdb.printing.long, gdb.printer.bound_registers.MpxBound128Printer.val, gdb.FrameDecorator.SymValueWrapper.val, gdb.printing._EnumInstance.val, YYSTYPE.val, and watchpoint.val.

Referenced by gdb.printing._EnumInstance.to_string().

## ◆ to_string() [2/2]

def gdb.printing._EnumInstance.to_string | ( |  | self | ) |

Definition at line 230 of file printing.py.

References gdb.printing._EnumInstance.enumerators, gdb.printing.long, gdb.printing._EnumInstance.to_string(), gdb.printer.bound_registers.MpxBound128Printer.val, gdb.FrameDecorator.SymValueWrapper.val, gdb.printing._EnumInstance.val, YYSTYPE.val, and watchpoint.val.

## Member Data Documentation

## ◆ enumerators

gdb.printing._EnumInstance.enumerators

Definition at line 227 of file printing.py.

Referenced by gdb.printing.FlagEnumerationPrinter.__call__(), gdb.printing._EnumInstance.__init__(), and gdb.printing._EnumInstance.to_string().

## ◆ val

gdb.printing._EnumInstance.val

Definition at line 228 of file printing.py.

Referenced by gdb.printing._EnumInstance.__init__(), gdb-gdb.TypeFlagsPrinter.__str__(), gdb-gdb.StructMainTypePrettyPrinter.bounds_img(), gdb-gdb.StructMainTypePrettyPrinter.flags_to_string(), gdb-gdb.StructMainTypePrettyPrinter.owner_to_string(), gdb-gdb.StructMainTypePrettyPrinter.struct_field_img(), gdb-gdb.StructTypePrettyPrinter.to_string(), gdb-gdb.StructMainTypePrettyPrinter.to_string(), gdb.printing._EnumInstance.to_string(), and gdb-gdb.StructMainTypePrettyPrinter.type_specific_img().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/printing.py